Subject: Re: guix pull fails on latest master

From: Rutger Helling <[email-masked]>
Date: Thu, 3 Jan 2019 15:48:08 +0100

Sorry, that was sloppiness on my part. I built the package on my own
Guix that already had staging merged where apparently the
meson-build-system was already added to the modules.

I was about to revert but I just noticed it's already been fixed. I'll
double check if it builds on a clean master next time.

On Fri, 4 Jan 2019 01:24:22 +1100
Brendan Tildesley <[email-masked]> wrote:

> 95bf2fb637ba4abb27efe94e0b671c1e93204e4f , which adds wl-clipboard
> fails to build because it references meson-build-system without
> importing the required module. I'm guessing adding  #:use-module
> (guix build-system meson)   ; would fix it.
> 
> I'm curious to know how this error was made.
>